Bug 521344 - RFE - SOS - include dump of openais configuration
Summary: RFE - SOS - include dump of openais configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Adam Stokes
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks: 557292
TreeView+ depends on / blocked
 
Reported: 2009-09-04 21:47 UTC by Eduardo Damato
Modified: 2012-04-23 12:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:07:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0201 normal SHIPPED_LIVE sosreport bug fix and enhancement update 2010-03-29 12:26:44 UTC

Description Eduardo Damato 2009-09-04 21:47:52 UTC
Description of problem:

As per https://bugzilla.redhat.com/show_bug.cgi?id=480139, it was not possible to obtain the settings of a running openAIS process, therefore if a customer updates their configuration many times, it's virtually impossible to know their configuration on aisexec.

The RFE stated above introduced openais-confdb-display exactly mitigate this problem.

Now it's important that sos include the dump of openais configuration for all versions of openais that are equal or greater than openais-0.80.6-8.el5, because this causes high call volume. 

I consider this RFE HIGH impact for GSS, given the number of cases where customers have misconfigured cluster timers and configuration.

-----
sos should include a file capturing the following:

# openais-confdb-display 
totem.version = '2'
totem.secauth = '1'

# openais-confdb-display totem token
totem.token = '10000'

# openais-confdb-display totem consensus
totem.consensus = '4800'

# openais-confdb-display totem token_retransmits_before_loss_const
totem.token_retransmits_before_loss_const = '20'

# openais-confdb-display cman quorum_dev_poll
cman.quorum_dev_poll = '40000'

# openais-confdb-display cman expected_votes 
cman.expected_votes = '3'

# openais-confdb-display cman two_node      
cman.two_node = '1'

Comment 5 errata-xmlrpc 2010-03-30 08:07:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0201.html


Note You need to log in before you can comment on or make changes to this bug.